package org.academiadecodigo.enuminatti.hibernatebootstrap.inheritance.joinedtable;

import org.academiadecodigo.enuminatti.hibernatebootstrap.SaveUtil;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public class JoinedTable {
    public static void main(String[] args) {
        SaveUtil<Vehicle> saveUtil = new SaveUtil<>();

        System.out.println(saveUtil.save(new Car(180, 5)));
        System.out.println(saveUtil.save(new Boat(220, 6)));

        saveUtil.close();
    }
}
